[postgis-tickets] [SCM] PostGIS branch master updated. 3.3.0rc2-693-gf43042025
git at osgeo.org
git at osgeo.org
Sun Mar 26 18:55:08 PDT 2023
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via f43042025de04b44af6e3ee70bd5204177fd5559 (commit)
from 7560703be4fe53c1ac182e38129b63683f3e20bf (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit f43042025de04b44af6e3ee70bd5204177fd5559
Author: Regina Obe <lr at pcorp.us>
Date: Sun Mar 26 21:54:58 2023 -0400
Turn off unpackaged upgrade tests. Causing errors on debbie
diff --git a/utils/check_all_upgrades.sh b/utils/check_all_upgrades.sh
index 9c3779bf7..c756b0e5d 100755
--- a/utils/check_all_upgrades.sh
+++ b/utils/check_all_upgrades.sh
@@ -6,6 +6,7 @@ CTBDIR=`pg_config --sharedir`/contrib/
TMPDIR=/tmp/check_all_upgrades-$$-tmp
PGVER=`pg_config --version | awk '{print $2}'`
PGVER_MAJOR=$(echo "${PGVER}" | sed 's/\.[^\.]*//' | sed 's/\(alpha\|beta\|rc\).*//' )
+CHECK_UNPACKAGED=0
echo "INFO: PostgreSQL version: ${PGVER} [${PGVER_MAJOR}]"
BUILDDIR=$PWD # TODO: allow override ?
@@ -243,28 +244,30 @@ for EXT in ${INSTALLED_EXTENSIONS}; do
done
# Check unpackaged->unpackaged upgrades
- CURRENTVERSION=`grep '^POSTGIS_' ${SRCDIR}/Version.config | cut -d= -f2 | paste -sd '.'`
- if test "${to_version}" = "${CURRENTVERSION}"; then
- for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`
- do #{
- UPGRADE_PATH="unpackaged${majmin}--:auto"
- test_label="${EXT} script-based upgrade ${UPGRADE_PATH}"
- if expr $to_version_param : ':auto' >/dev/null; then
- test_label="${test_label} ($to_version)"
- fi
- compatible_upgrade "${test_label}" ${majmin} ${to_version} || continue
- echo "Testing ${test_label}"
- RUNTESTFLAGS="-v --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
- make -C ${REGDIR} check && {
- echo "PASS: ${test_label}"
- } || {
- echo "FAIL: ${test_label}"
- failed
- }
- done #}
- else #}{
- echo "SKIP: ${EXT} script-based upgrades (${to_version_param} [${to_version}] does not match built version ${CURRENTVERSION})"
- fi #}
+ if test $CHECK_UNPACKAGED != 0; then
+ CURRENTVERSION=`grep '^POSTGIS_' ${SRCDIR}/Version.config | cut -d= -f2 | paste -sd '.'`
+ if test "${to_version}" = "${CURRENTVERSION}"; then
+ for majmin in `'ls' -d ${CTBDIR}/postgis-* | sed 's/.*postgis-//'`
+ do #{
+ UPGRADE_PATH="unpackaged${majmin}--:auto"
+ test_label="${EXT} script-based upgrade ${UPGRADE_PATH}"
+ if expr $to_version_param : ':auto' >/dev/null; then
+ test_label="${test_label} ($to_version)"
+ fi
+ compatible_upgrade "${test_label}" ${majmin} ${to_version} || continue
+ echo "Testing ${test_label}"
+ RUNTESTFLAGS="-v --upgrade-path=${UPGRADE_PATH} ${USERTESTFLAGS}" \
+ make -C ${REGDIR} check && {
+ echo "PASS: ${test_label}"
+ } || {
+ echo "FAIL: ${test_label}"
+ failed
+ }
+ done #}
+ else #}{
+ echo "SKIP: ${EXT} script-based upgrades (${to_version_param} [${to_version}] does not match built version ${CURRENTVERSION})"
+ fi #}
+ fi
done
-----------------------------------------------------------------------
Summary of changes:
utils/check_all_upgrades.sh | 47 ++++++++++++++++++++++++---------------------
1 file changed, 25 insertions(+), 22 deletions(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list